// Copyright (C)2015 Rinky-Dink Electronics, Henning Karlsen. All right reserved
// web: http://www.RinkyDinkElectronics.com/
// This program requires the UTFT library.

#include <UTFT.h>

// Declare which fonts we will be using
extern uint8_t BigFont[];
extern uint8_t BFontRu[];
unsigned long WinStartTime;

UTFT myGLCD(ILI9488_8, 38, 39, 40, 41);

void setup()
{
  Serial.begin(9600);
  myGLCD.InitLCD();
  myGLCD.clrScr();
  myGLCD.setFont(BigFont);
}
//       Pr_WinTime();    // на экран засеченное время в мсек
//       WinStartTime = micros();
#define line 16
#define Col 6
#define Ots 24
#define OtsR 174
#define Nas 50
void loop()
{
  TextEng();
  while (true) {};
}
// ------------------------------ 
void TextEng() {
  myGLCD.clrScr();
  myGLCD.setFont(BigFont);
  myGLCD.setFontAlt(BFontRu);
  myGLCD.setColor(VGA_RED);
  myGLCD.print("Text English", 160, 0);
  myGLCD.setColor(VGA_WHITE);
  
  WinStartTime = micros();
  //myGLCD.print(" !@#$%&^()*+,-./", Nas, Ots);
  //myGLCD.print("0123456789:;<=>?", Nas, Ots+20);
  myGLCD.print("@ABCDEFGHIJKLMNO", Nas, Ots+40);
  myGLCD.print("PQRSTUVWXYZ[|]^_", Nas, Ots+60);
  myGLCD.print("`abcdefghijklmno", Nas, Ots+80);
  myGLCD.print("pqrstuvwxyz{|}~", Nas, Ots+100);  
  Pr_WinTime(380,0); 

// Русский текст
  myGLCD.setColor(VGA_RED);
  myGLCD.print(F("Write Русский"), 110, 150);
  myGLCD.setColor(VGA_WHITE);
  
  WinStartTime = micros();
  myGLCD.print(F("АБВГДЕЖЗИЙКЛМНОП"), Nas, OtsR);
  myGLCD.print(F("РСТУФХЦЧШЩЪЫЬЭЮЯ"), Nas, OtsR+20);
  myGLCD.print(F("абвгдежзийклмноп"), Nas, OtsR+40);
  myGLCD.print(F("рстуфхцчшщъыьэю"), Nas, OtsR+60); 
  Pr_WinTime(380,150); 
}
// ------------------------------ 
void Pr_WinTime(int x, int y) {   // -------------для замера времени ------------
  unsigned long Ttim;
  Ttim = micros() - WinStartTime;
  myGLCD.printNumI(Ttim, x, y);
  //Serial.print("time - ");
  //Serial.println(Ttim);
}
